%define name mail-notification
%define version 0.7.0
%define release 1mdk

Version: 	%{version}
Summary: 	New mail status tray icon.
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Mail
Source: 	http://savannah.nongnu.org/download/mailnotify/%{name}-%{version}.tar.bz2
URL: 		http://www.nongnu.org/mailnotify/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libeel-devel >= 2.6
BuildRequires:  libsoup-devel >= 2.2
BuildRequires:  libsasl-devel
BuildRequires:  openssl-devel
BuildRequires:  gob2
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%prep

%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name --with-gnome

%post 
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/mail-notification.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/mail-notification.schemas > /dev/null
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc README COPYING INSTALL TODO 
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_datadir/control-center-2.0/capplets/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_libdir/bonobo/servers/*
%_sysconfdir/gconf/schemas/*
%config(noreplace) %_sysconfdir/sound/events/*


%changelog
* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- update file list
- build with soup
- source URL
- New release 0.7.0

* Tue Oct  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Wed Sep 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Sun Sep 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Fix gconf schema install
- Remove pacth0 (merged upstream)

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.2mdk
- add patch0 for ia64, ppc & x86_64

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.1mdk
- new, please test
- no Gmail support without libsoup-1x
